KRootPermsIcon Class Reference

`#include <kauthicon.h>`

Inheritance diagram for KRootPermsIcon:

## Public Slots

void | updateStatus ()
Public Slots inherited from KAuthIcon
virtual void | updateStatus ()=0

## Public Member Functions

| KRootPermsIcon (QWidget *parent=0, const char *name=0)
bool | status () const
Public Member Functions inherited from KAuthIcon
| KAuthIcon (QWidget *parent=0, const char *name=0)
virtual QSize | sizeHint () const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

bool | root
Protected Attributes inherited from KAuthIcon
QHBoxLayout * | layout
QLabel * | lockBox
QLabel * | lockLabel
QPixmap | lockPM
QPixmap | openLockPM
QString | lockText
QString | openLockText

## Additional Inherited Members

Signals inherited from KAuthIcon
void | authChanged (bool authorized)

## Detailed Description

Icon to show whether or not a user has root permissions.

See also
  KAuthIcon

Author
  Preston Brown pbrow.nosp@m.n@kd.nosp@m.e.org

Definition at line 103 of file kauthicon.h.

## Member Function Documentation

bool KRootPermsIcon::status | ( |  | ) | const

inline virtual

return whether or not the current user has root permissions.

Implements KAuthIcon.

Definition at line 114 of file kauthicon.h.

The documentation for this class was generated from the following files:

- kauthicon.h
- kauthicon.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys